#pragma once
#ifndef MERSENNE_TWISTER_MACROS_H
#define MERSENNE_TWISTER_MACROS_H

#define MERSENNE_TWISTER_NN 312
#define MERSENNE_TWISTER_MM 156
#define MERSENNE_TWISTER_MATRIX_A 0xB5026F5AA96619E9ULL
#define MERSENNE_TWISTER_UM 0xFFFFFFFF80000000ULL /* Most significant 33 bits */
#define MERSENNE_TWISTER_LM 0x7FFFFFFFULL /* Least significant 31 bits */

#endif // MERSENNE_TWISTER_MACROS_H
